org.apache.maven.scm.command.branch

## Class AbstractBranchCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.branch.AbstractBranchCommand

- All Implemented Interfaces:
    Command
  Direct Known Subclasses:
    AbstractCvsBranchCommand, GitBranchCommand, SvnBranchCommand, TfsBranchCommand

      public abstract class AbstractBranchCommand
      extends AbstractCommand

  Version:
    $Id: AbstractBranchCommand.java 892494 2009-12-19 18:40:43Z olamy $
  Author:
    Emmanuel Venisse, Trygve Laugstøl

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBranchCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ScmResult` | `executeBranchCommand(ScmProviderRepository repository, ScmFileSet fileSet, String branchName, ScmBranchParameters scmBranchParameters)` default impl to provide backward comp
    `protected abstract ScmResult` | `executeBranchCommand(ScmProviderRepository repository, ScmFileSet fileSet, String branchName, String message)`
    `ScmResult` | `executeCommand(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractBranchCommand

          public AbstractBranchCommand()

  - ### Method Detail

    - #### executeBranchCommand

          protected abstract ScmResult executeBranchCommand(ScmProviderRepository repository,
                                       ScmFileSet fileSet,
                                       String branchName,
                                       String message)
                                                     throws ScmException

      Throws:
        `ScmException`

    - #### executeBranchCommand

          protected ScmResult executeBranchCommand(ScmProviderRepository repository,
                                       ScmFileSet fileSet,
                                       String branchName,
                                       ScmBranchParameters scmBranchParameters)
                                            throws ScmException

      default impl to provide backward comp
      Parameters:
        `repository` -
        `fileSet` -
        `branchName` -
        `scmBranchParameters` -
      Returns:
      Throws:
        `ScmException`
      Since:
        1.3

    - #### executeCommand

          public ScmResult executeCommand(ScmProviderRepository repository,
                                 ScmFileSet fileSet,
                                 CommandParameters parameters)
                                   throws ScmException

      Specified by:
        `executeCommand` in class `AbstractCommand`
      Throws:
        `ScmException`

Copyright © 2003–2015. All rights reserved.